#!/usr/bin/env python

#-------------------------------------------------------------------
# Objectives
#-------------------------------------------------------------------
# This file describes a typical configuration with 13 PFTs that 
# corresponds to the 13 MTCs without age classes. This is the
# configuration that has been used with the trunk for over a 
# decade.
#
# WARNING: the order of the PFTs should match the PFT definition of
# the land cover, forest management, litter raking and species maps
#
# CODING GUIDELINE: variable names written in capitals are variables
# that will end up in the run.defs

#-------------------------------------------------------------------
# Configure the vegetation. 
#-------------------------------------------------------------------
NAGEC = 1
header = ['domain', 'mtc', 'pft', 'species, genus or biome', 'pft_to_mtc', 'has_agec'] 
config = [\
  ['Global', 'BareSoil', 'SoilBare', 'Global', 1, 'n'],
  ['Global', 'TropicalBroadLeavedEvergreen', 'BroadLeavedEvergreen',  'Tropical', 2, 'n'], 
  ['Global', 'TropicalBroadLeavedRaingreen', 'BroadLeavedRaingreen',  'Tropical', 3, 'n'], 
  ['Global', 'TemperateNeedleleafEvergreen', 'NeedleleafEvergreen', 'Temperate', 4, 'n'], 
  ['Global', 'TemperateBroadLeavedEvergreen', 'BroadLeavedEvergreen', 'Temperate', 5, 'n'],
  ['Global', 'TemperateBroadLeavedSummergreen', 'BroadLeavedSummergreen', 'Temperate', 6, 'n'],
  ['Global', 'BorealNeedleleafEvergreen', 'NeedleleafEvergreen', 'Boreal', 7, 'n'],
  ['Global', 'BorealBroadLeavedSummergreen', 'BroadLeavedSummergreen', 'Boreal', 8, 'n'],
  ['Global', 'BorealNeedleleafSummergreen', 'LarixSp', 'Boreal', 9, 'n'],
  ['Global', 'C3Grass', 'C3Grass', 'Temperate', 10, 'n'],
  ['Global', 'C4Grass', 'C4Grass', 'Temperate', 11, 'n'],
  ['Global', 'C3Agriculture', 'C3Agriculture', 'Temperate', 12, 'n'],
  ['Global', 'C4Agriculture', 'C4Agriculture', 'Temperate', 13, 'n']]
